Bug 42322 - Switch to firefox-esr
Switch to firefox-esr
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 4.2
Other Linux
: P5 enhancement (vote)
: UCS 4.2
Assigned To: Felix Botner
Stefan Gohmann
: interim-2
Depends on:
Blocks: 45863
  Show dependency treegraph
 
Reported: 2016-09-08 16:02 CEST by Philipp Hahn
Modified: 2017-12-12 18:06 CET (History)
1 user (show)

See Also:
What kind of report is it?: Release Management
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2016-09-08 16:02:22 CEST
# apt-cache policy firefox-{en,de,esr}
firefox-en:
  Installiert:           1:38.6.0esr-ucs-4.1.69.201601270959
  Installationskandidat: 1:38.6.0esr-ucs-4.1.69.201601270959
  Versionstabelle:
 *** 1:38.6.0esr-ucs-4.1.69.201601270959 0
        500 http://univention-repository.knut.univention.de/4.1/maintained/ 4.1-1/amd64/ Packages
        100 /var/lib/dpkg/status
     1:38.6.0esr-ucs-4.0.68.201601270954 0
        500 http://univention-repository.knut.univention.de/4.0/maintained/ 4.0-5/amd64/ Packages
     1:38.3.0esr-ucs-4.0.59.201509241923 0
        500 http://univention-repository.knut.univention.de/4.0/maintained/ 4.0-4/amd64/ Packages
     1:38.2.1esr-2.57.201509161427 0
        500 http://univention-repository.knut.univention.de/4.1/maintained/ 4.1-0/amd64/ Packages
     1:31.6.0esr-3.54.201504131853 0
        500 http://univention-repository.knut.univention.de/4.0/maintained/ 4.0-2/amd64/ Packages
     1:31.4.0esr-3.49.201501141911 0
        500 http://univention-repository.knut.univention.de/4.0/maintained/ 4.0-1/amd64/ Packages
     1:31.2.0esr-3.46.201410312332 0
        500 http://univention-repository.knut.univention.de/4.0/maintained/ 4.0-0/amd64/ Packages
firefox-de:
  Installiert:           (keine)
  Installationskandidat: 1:38.6.0esr-ucs-4.1.73.201601271001
  Versionstabelle:
     1:38.6.0esr-ucs-4.1.73.201601271001 0
        500 http://univention-repository.knut.univention.de/4.1/maintained/ 4.1-1/amd64/ Packages
     1:38.6.0esr-ucs-4.0.72.201601270956 0
        500 http://univention-repository.knut.univention.de/4.0/maintained/ 4.0-5/amd64/ Packages
     1:38.3.0esr-ucs-4.0.64.201509241919 0
        500 http://univention-repository.knut.univention.de/4.0/maintained/ 4.0-4/amd64/ Packages
     1:38.2.1esr-2.62.201509161424 0
        500 http://univention-repository.knut.univention.de/4.1/maintained/ 4.1-0/amd64/ Packages
     1:31.6.0esr-3.58.201504131849 0
        500 http://univention-repository.knut.univention.de/4.0/maintained/ 4.0-2/amd64/ Packages
     1:31.4.0esr-3.54.201501141907 0
        500 http://univention-repository.knut.univention.de/4.0/maintained/ 4.0-1/amd64/ Packages
     1:31.2.0esr-2.50.201410312309 0
        500 http://univention-repository.knut.univention.de/4.0/maintained/ 4.0-0/amd64/ Packages
firefox-esr:
  Installiert:           (keine)
  Installationskandidat: 45.3.0esr-1~deb8u1
  Versionstabelle:
     45.3.0esr-1~deb8u1 0
        500 http://omar.knut.univention.de/build2/ ucs_4.2-0/amd64/ Packages

- Debian is currently newer
  - need to check Debian policy on how often and to which version they update
- would deprecate our own packages
- maybe do transitional packages
Comment 1 Felix Botner univentionstaff 2017-02-23 18:59:42 CET
univention-mozilla-firefox:
 * switch dependency to firefox-esr

univention-dvd:
 * added firefox-esr-l10n-de, firefox-esr removed firefox-de, firefox-en in 
   tasks/ucs420/task-ucs420

univention-system-setup:
 * depends on firefox-esr
 * new "hide tabbar" addon
 * small fix un startxwithfirefox, use "-s /bin/sh" in su -s /bin/sh nobody, 
   nobody no longer has a valid login shell in new installations, su fails
   without proper login shell

ucs-ec2-tools r77074:
 * replaced pgrep -f /opt/firefox/firefox with pgrep firefox-esr and 
   pkill -f /opt/firefox/firefox with killall -9 firefox-esr in various tools

univention-updater r77077:
 * remove firefox-en[de] install firefox-esr [l10-de] in preup

removed ucs-4.2-0/desktop/firefox-en and ucs-4.2-0/desktop/firefox-de
Comment 2 Stefan Gohmann univentionstaff 2017-02-25 13:46:20 CET
r77115:

ucs-ec2-tools/examples/jenkins/utils/utils.sh

Wait for startwithfirefox instead of firefox-esr. It produced an endless loop in our current 4.2 Jenkins jobs (Bug #42322)
Comment 3 Stefan Gohmann univentionstaff 2017-02-28 14:49:13 CET
Tests System Setup: OK

Tests Installed System: OK

Tests Upgrade: OK

Changelog: OK
Comment 4 Stefan Gohmann univentionstaff 2017-04-04 18:28:27 CEST
UCS 4.2 has been released:
 https://docs.software-univention.de/release-notes-4.2-0-en.html
 https://docs.software-univention.de/release-notes-4.2-0-de.html

If this error occurs again, please use "Clone This Bug".